complexType "FxEuropeanExercise"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | expiryDate, expiryTime?, cutName?, valueDate
</...>

Content Model Elements (4):

  cutName (defined in FxEuropeanExercise complexType), expiryDate (defined in FxEuropeanExercise complexType), | expiryTime (defined in FxEuropeanExercise complexType), valueDate (defined in FxEuropeanExercise complexType)

All Direct / Indirect Based Elements (2):

  europeanExercise (in fxDigitalOption), | europeanExercise (in fxOption)

Known Usage Locations

- As direct type of elements (2):

  europeanExercise (in fxDigitalOption), | europeanExercise (in fxOption)

Annotation
Describes the characteristics for European exercise of FX products.
Type Definition Detail

Type Derivation Tree Exercise (extension) FxEuropeanExercise

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="FxEuropeanExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element name="expiryDate" type="xsd:date"/> <xsd:element minOccurs="0" name="expiryTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="cutName" type="CutName"/> <xsd:element name="valueDate" type="xsd:date"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
cutName

  Type: | CutName, simple content

  The code by which the expiry time is known in the market.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cutName" type="CutName"/>

expiryDate

  Type: | xsd:date, predefined, simple content

  Represents a standard expiry date as defined for an FX OTC option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="expiryDate" type="xsd:date"/>

expiryTime

  Type: | BusinessCenterTime, complex content

  Time at which the option expires on the expiry date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expiryTime" type="BusinessCenterTime"/>

valueDate

  Type: | xsd:date, predefined, simple content

  The date on which both currencies traded will settle.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="valueDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.